import request from '@/utils/request'

// 查询调价管理(整体)列表
export function listTrimPrice(query) {
  return request({
    url: '/drugs/TrimPrice/list',
    method: 'get',
    params: query
  })
}

// 查询调价管理(整体)详细
export function getTrimPrice(id) {
  return request({
    url: '/drugs/TrimPrice/' + id,
    method: 'get'
  })
}

// 新增调价管理(整体)
export function addTrimPrice(data) {
  return request({
    url: '/drugs/TrimPrice',
    method: 'post',
    data: data
  })
}

// 修改调价管理(整体)
export function updateTrimPrice(data) {
  return request({
    url: '/drugs/TrimPrice',
    method: 'put',
    data: data
  })
}

// 删除调价管理(整体)
export function delTrimPrice(id) {
  return request({
    url: '/drugs/TrimPrice/' + id,
    method: 'delete'
  })
}

// 导出调价管理(整体)
export function exportTrimPrice(query) {
  return request({
    url: '/drugs/TrimPrice/export',
    method: 'get',
    params: query
  })
}

//记账
export function updataKeeping(id) {
  return request({
    url: '/drugs/TrimPrice/keeping/' + id,
    method: 'put',
  })
}
